﻿@using Resources;    

<div class="emap-legend-popup" ng-show="contentScreen.showLegendPopup">
    <div>
        <table class="table emap-legends emap-legends-desktop" ng-show="contentScreen.selected_classification && contentScreen.selected_classification.legends.length > 0">
            <tr ng-repeat="l in contentScreen.selected_classification.legends">
                <td><div ng-style="{{l.style}}"></div></td>
                <td>{{l.name}}</td>
            </tr>
        </table>
        <table class="table emap-legends emap-legends-desktop" ng-show="contentScreen.selected_type != null">
            <tr">
                <td><div style="background-color:red"></div></td>
                <td>{{contentScreen.selected_type.Name}}</td>
            </tr>
        </table>
        <table class="table emap-legends emap-legends-desktop" ng-show="contentScreen.selected_country != null">
            <tr>
                <td><div style="background-color:red"></div></td>
                <td>{{contentScreen.selected_country.Name}}</td>
            </tr>
        </table>
    </div>
</div>